curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/types \
-X POST \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "payments.created.previous"
}'
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"types": [
"ach.pull.nightly",
"payments.created.previous"
],
"delivery_methods": [
"webhook",
"email"
],
"recipients": [
"example@methodfi.com"
],
"cron": "0 8 * * *",
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
Types
Add a Type
POST
/
report_schedules
/
{schedule_id}
/
types
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/types \
-X POST \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "payments.created.previous"
}'
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"types": [
"ach.pull.nightly",
"payments.created.previous"
],
"delivery_methods": [
"webhook",
"email"
],
"recipients": [
"example@methodfi.com"
],
"cron": "0 8 * * *",
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
Adds a single Report type to an existing Report Schedule.
Path Parameters
Body
Returns
Returns the updated Report Schedule object.curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/types \
-X POST \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "payments.created.previous"
}'
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"types": [
"ach.pull.nightly",
"payments.created.previous"
],
"delivery_methods": [
"webhook",
"email"
],
"recipients": [
"example@methodfi.com"
],
"cron": "0 8 * * *",
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
⌘I